void StoryLineQuestComplete(string sQuestName, string qname)
{
	ref chr;

	//trace("--- QUEST " + sQuestName + " CHECKED ---");
	int iChar = -1;
	int iShipChar = -1;
	string sVideoFile = "";

	switch(sQuestName)
	{
		case "begin_storyline":
			PauseAllSounds();

			SendMessage(&sound,"lfff", MSG_SOUND_SET_MASTER_VOLUME, 0.0, 0.0, 0.0);
			
			if(pchar.id == "blaze")
			{
				sVideoFile = "IntroBlaze"
			}
			else
			{
				sVideoFile = "IntroBeatrice"
			}
			if(LanguageGetLanguage() != "Russian")
			{
				sVideoFile = LanguageGetLanguage() + "/" + sVideoFile;
			}
			PostVideoAndQuest(sVideoFile,0,"begin_storyline_continue");
		break;

		case "begin_storyline_continue":
			ResumeAllSounds();
			SendMessage(&sound,"lfff", MSG_SOUND_SET_MASTER_VOLUME, 0.5, 0.5, 0.5);
			//SetSoundScheme("music_gorod");
			int iMapMan = GenerateCharacter(ENGLAND, WITHOUT_SHIP, "pirate", MAN, 0, BOSS);
			characters[iMapMan].id = "Map Man";
			characters[iMapMan].model = "citiz_7";
			PlaceCharacter(CharacterFromID("Map Man"), "quest", "nonrandom");
			LAi_SetActorType(CharacterFromID("Map Man"));

			characters[GetCharacterIndex("Map Man")].dialog.filename = "SL map man_dialog.c";
			characters[GetCharacterIndex("Map Man")].dialog.currentnode = "First time";

			LAi_ActorDialog(CharacterFromID("Map Man"), pchar, "get map 1", 5.0, 1.0);
			//LAi_SetActorType(pchar);

			StartQuestMovie(true, false, true);
			bDisableFastReload = 1;
			LAI_setActorType(pchar);
			LAi_ActorWaitDialog(pchar, CharacterFromID("Map Man"));

			//Lock IM residence
			StoryLineEnableLocator("IslaMona_town", "l3", 0);

			//login IM residence guards
			int PGuard3 = GenerateCharacter(PIRATE, WITHOUT_SHIP, "pirate", MAN, 1, WARRIOR);
			characters[PGuard3].id = "Pirate Guard 3";
			characters[PGuard3].name = "Pirate Guard";
			characters[PGuard3].lastname = "";
			characters[PGuard3].dialog.filename = "SL Pirate Guard_dialog.c";
			characters[PGuard3].dialog.currentnode = "1";
			LAi_SetGuardianType(CharacterFromID("Pirate Guard 3"));
			LAi_CharacterEnableDialog(CharacterFromID("Pirate Guard 3"));
			ChangeCharacterAddressGroup(CharacterFromID("Pirate Guard 3"), "IslaMona_town", "quest", "quest3");
			LAi_SetImmortal(CharacterFromID("Pirate Guard 3"), 1);
			Lai_RemoveLoginTime(&characters[PGuard3]);

			int PGuard4 = GenerateCharacter(PIRATE, WITHOUT_SHIP, "pirate", MAN, 1, WARRIOR);
			characters[PGuard4].id = "Pirate Guard 4";
			characters[PGuard4].name = "Pirate Guard";
			characters[PGuard4].lastname = "";
			characters[PGuard4].dialog.filename = "SL Pirate Guard_dialog.c";
			characters[PGuard4].dialog.currentnode = "1";
			LAi_SetGuardianType(CharacterFromID("Pirate Guard 4"));
			LAi_CharacterEnableDialog(CharacterFromID("Pirate Guard 4"));
			ChangeCharacterAddressGroup(CharacterFromID("Pirate Guard 4"), "IslaMona_town", "quest", "quest4");
			Lai_RemoveLoginTime(&characters[PGuard4]);
			LAi_SetImmortal(CharacterFromID("Pirate Guard 4"), 1);

			//login IM bodyguards & boss
			int PGuard1 = GenerateCharacter(PIRATE, WITHOUT_SHIP, "pirate", MAN, 1, BOSS);
			characters[PGuard1].id = "Pirate Guard 1";
			characters[PGuard1].name = "Bodyguard";
			characters[PGuard1].lastname = "";
			GiveItem2Character(CharacterFromID("Pirate Guard 1"), "blade17");
			GiveItem2Character(CharacterFromID("Pirate Guard 1"), "gun7");
			EquipCharacterByItem(CharacterFromID("Pirate Guard 1"), "blade17");
			EquipCharacterByItem(CharacterFromID("Pirate Guard 1"), "gun7");
			LAi_SetGuardianType(CharacterFromID("Pirate Guard 1"));
			LAi_CharacterDisableDialog(CharacterFromID("Pirate Guard 1"));
			Lai_RemoveLoginTime(&characters[PGuard1]);
			ChangeCharacterAddressGroup(CharacterFromID("Pirate Guard 1"), "IslaMona_townhall", "quest", "quest1");
			LAi_SetImmortal(CharacterFromID("Pirate Guard 1"), 1);

			int PGuard2 = GenerateCharacter(PIRATE, WITHOUT_SHIP, "pirate", MAN, 1, BOSS);
			characters[PGuard2].id = "Pirate Guard 2";
			characters[PGuard2].name = "Bodyguard";
			characters[PGuard2].lastname = "";
			GiveItem2Character(CharacterFromID("Pirate Guard 2"), "blade17");
			GiveItem2Character(CharacterFromID("Pirate Guard 2"), "gun7");
			EquipCharacterByItem(CharacterFromID("Pirate Guard 2"), "blade17");
			EquipCharacterByItem(CharacterFromID("Pirate Guard 2"), "gun7");
			LAi_SetGuardianType(CharacterFromID("Pirate Guard 2"));
			LAi_CharacterDisableDialog(CharacterFromID("Pirate Guard 2"));
			Lai_RemoveLoginTime(&characters[PGuard2]);
			ChangeCharacterAddressGroup(CharacterFromID("Pirate Guard 2"), "IslaMona_townhall", "quest", "quest2");
			LAi_SetImmortal(CharacterFromID("Pirate Guard 2"), 1);

			//login boss
			int PBoss = GenerateCharacter(PIRATE, WITHOUT_SHIP, "pirate", MAN, 1, BOSS);
			characters[PBoss].model = "head_pir";
			characters[PBoss].id = "Pirate Boss";
			characters[PBoss].name = "Kurt";
			characters[PBoss].lastname = "Krieger";
			characters[PBoss].dialog.filename = "SL Pirate Boss_dialog.c";
			characters[PBoss].dialog.currentnode = "1";
			characters[PBoss].rank = 20;
			characters[PBoss].skill.Fencing = 10;
			characters[PBoss].skill.Gun = 10;
			LAi_SetHP(CharacterFromID("Pirate Boss"), 1000.0, 1000.0);
            GiveItem2Character(CharacterFromID("Pirate Boss"), "blade17");
			EquipCharacterByItem(CharacterFromID("Pirate Boss"), "blade17");
			LAi_SetHuberType(CharacterFromID("Pirate Boss"));
			Lai_RemoveLoginTime(&characters[PBoss]);
			ChangeCharacterAddressGroup(CharacterFromID("Pirate Boss"), "IslaMona_townhall", "sit", "sit1");
		break;

		case "get map 1":
			EndQuestMovie();
			
			bDisableFastReload = 0;
			LAI_setPlayerType(pchar);

			if(pchar.id == "Blaze")
			{
				GiveItem2Character(pchar, "HalfMap1");
				SetQuestHeader("Story");
				AddQuestRecord("Story", "1_male");
				trace("*** blaze map given");
			}
			else
			{
				GiveItem2Character(pchar, "HalfMap2");
				SetQuestHeader("Story");
				AddQuestRecord("Story", "1_female");
				trace("*** beatrice map given");
			}

			LAi_CharacterDisableDialog(CharacterFromID("Map Man"));
			//string sLocator = FindNearestFreeLocator("reload");
			//LAi_ActorRunToLocation(CharacterFromID("Map Man"), "reload", sLocator, "none", "goto", "goto1", "", 10.0);
			LAi_ActorRunToLocation(CharacterFromID("Map Man"), "reload", "reload4", "none", "goto", "goto1", "", 10.0);
			DoQuestCheckDelay("rank8 check", 1.0);
			MakeAutoSave();
		break;

		case "rank8 check":
			if (sti(pchar.rank) >= 8)
			{
				DoQuestCheckDelay("rank8 check passed", 1.0);
			}
			else
			{
				CheckStoryLineRank(qname, 8);
			}
		break;

		case "rank8 check passed":
			trace("*** RANK 8 CHECK PASSED");
			sStory = "cangetmap2";
		break;

		case "refused map":
			sStory = "end";

			if(pchar.id == "Blaze")
			{
				TakeItemFromCharacter(pchar, "HalfMap1");
				SetQuestHeader("Story");
				AddQuestRecord("Story", "3_male");
				trace("*** map refused male");
			}
			else
			{
				TakeItemFromCharacter(pchar, "HalfMap2");
				SetQuestHeader("Story");
				AddQuestRecord("Story", "3_female");
				trace("*** map refused female");
			}
		break;

		case "get map 2":
			sStory = "fullmap";
			AddMoneyToCharacter(pchar, -600);

			if(pchar.id == "Blaze")
			{
				TakeItemFromCharacter(pchar, "HalfMap1");
				SetQuestHeader("Story");
				AddQuestRecord("Story", "2_male");
				trace("*** blaze map removed");
			}
			else
			{
				TakeItemFromCharacter(pchar, "HalfMap2");
				SetQuestHeader("Story");
				AddQuestRecord("Story", "2_female");
				trace("*** beatrice map removed");
			}

			GiveItem2Character(pchar, "FullMap");

			int iIsland = FindIsland("Dominica");

			Islands[iIsland].reload.l1.label = "Grotto";
			Islands[iIsland].reload.l1.name = "reload_1";
			Islands[iIsland].reload.l1.go = "Grotto";
			Islands[iIsland].reload.l1.emerge = "reload1";
			Islands[iIsland].reload.l1.radius = 600.0;
			Islands[iIsland].reload.l1.pic = 0;
			Islands[iIsland].reload.l1.tex = "t1";

			pchar.quest.GROTTO_CHECK.win_condition.l1 = "locator";
			pchar.quest.GROTTO_CHECK.win_condition.l1.location = "Grotto";
			pchar.quest.GROTTO_CHECK.win_condition.l1.locator_group = "goto";
			pchar.quest.GROTTO_CHECK.win_condition.l1.locator = "goto4";
			pchar.quest.GROTTO_CHECK.win_condition = "Grotto dialog 1";

			Locations[FindLocation("Grotto")].locators_radius.goto.goto4 = 5.0;

			//close location
			//int iIsland = FindIsland("Dominica");
			//DeleteAttribute(&Islands[iIsland], "reload.l1");
		break;

		case "Grotto dialog 1":
		//cutscene
			StartQuestMovie(true, false, true);
			bDisableFastReload = 1;
			LAI_setActorType(pchar);

		//login B/B & dialog
			if(pchar.id == "Blaze")
			{
				LAi_RemoveLoginTime(&characters[2]);
				ChangeCharacterAddressGroup(&characters[2], "Grotto", "goto", "goto3");
				LAi_SetActorType(&characters[2]);
				characters[2].dialog.filename = "SL Beatrice_dialog.c";
				characters[2].dialog.currentnode = "First time";
				characters[2].rank = 10;
				characters[2].skill.Fencing = 7;
				characters[2].skill.Gun = 7;
				GiveItem2Character(&characters[2], "blade14");
				GiveItem2Character(&characters[2], "gun5");
				EquipCharacterByItem(&characters[2], "blade14");
				EquipCharacterByItem(&characters[2], "gun5");
				LAi_SetHP(&characters[2], 1000.0, 1000.0);
				LAi_ActorTurnToLocator(pchar, "goto", "goto3");
				LAi_ActorWaitDialog(pchar, &characters[2]);

				LAi_ActorDialog(&characters[2], pchar, "Grotto fight", 5.0, 1.0);
			}
			else
			{
				LAi_RemoveLoginTime(&characters[1]);
				ChangeCharacterAddressGroup(&characters[1], "Grotto", "goto", "goto3");
				LAi_SetActorType(&characters[1]);
				characters[1].dialog.filename = "SL Blaze_dialog.c";
				characters[1].dialog.currentnode = "First time";
				characters[1].rank = 10;
				characters[1].skill.Fencing = 7;
				characters[1].skill.Gun = 7;
				GiveItem2Character(&characters[1], "blade14");
				GiveItem2Character(&characters[1], "gun5");
				EquipCharacterByItem(&characters[1], "blade14");
				EquipCharacterByItem(&characters[1], "gun5");
				LAi_SetHP(&characters[1], 1000.0, 1000.0);

				LAi_ActorTurnToLocator(pchar, "goto", "goto3");
				LAi_ActorWaitDialog(pchar, &characters[1]);

				LAi_ActorDialog(&characters[1], pchar, "Grotto fight", 5.0, 1.0);
			}


		break;

		case "Grotto fight":
		//end cutscene
			EndQuestMovie();
			bDisableFastReload = 0;
			LAI_setPlayerType(pchar);

			string sGroup = "Grotto_fight_1";
			
			LAi_group_Register(sGroup);
			if(pchar.id == "Blaze")
			{
				//LAi_ActorAttack(&characters[2], pchar, "");
				LAi_SetHP(&characters[2], 400.0, 400.0);
				LAi_SetWarriorType(&characters[2]);
				LAi_group_MoveCharacter(&characters[2], sGroup);
				LAi_group_FightGroups(sGroup, LAI_GROUP_PLAYER, false);
				LAi_SetCheckMinHP(&characters[2], 200.0, 0, "Grotto dialog 2");
			}
			else
			{
				LAi_SetHP(&characters[1], 400.0, 400.0);
				LAi_SetWarriorType(&characters[1]);
				LAi_group_MoveCharacter(&characters[1], sGroup);
				LAi_group_FightGroups(sGroup, LAI_GROUP_PLAYER, false);
				//LAi_ActorAttack(&characters[1], pchar, "");
				LAi_SetCheckMinHP(&characters[1], 200.0, 0, "Grotto dialog 2");
			}


		break;

		case "Grotto dialog 2":
		//cutscene
			StartQuestMovie(true, false, true);
			bDisableFastReload = 1;
			LAI_setActorType(pchar);

			if(pchar.id == "Blaze")
			{
				LAi_SetActorType(&characters[2]);
				LAi_type_actor_Reset(&characters[2]);
				LAi_ActorWaitDialog(pchar, &characters[2]);

				LAi_RemoveCheckMinHP(&characters[2]);
				characters[2].dialog.currentnode = "5";

				LAi_ActorDialog(&characters[2], pchar, "", 5.0, 1.0);
			}
			else
			{
				LAi_SetActorType(&characters[1]);
				LAi_type_actor_Reset(&characters[1]);
				LAi_ActorWaitDialog(pchar, &characters[1]);

				LAi_RemoveCheckMinHP(&characters[1]);
				characters[1].dialog.currentnode = "5";

				LAi_ActorDialog(&characters[1], pchar, "", 5.0, 1.0);
			}
			LAi_group_Delete("Grotto_fight_1");

		break;

		case "Grotto kill":
		//end cutscene
			EndQuestMovie();
			bDisableFastReload = 0;
			LAI_setPlayerType(pchar);

			string sGrottoKill = "GrottoKill_1";
			LAi_group_Register(sGrottoKill);
			if(pchar.id == "Blaze")
			{
				//LAi_SetHP(&characters[2], 400.0, 400.0);
				LAi_SetWarriorType(&characters[2]);
				LAi_group_MoveCharacter(&characters[2], sGrottoKill);
				LAi_group_FightGroups(sGrottoKill, LAI_GROUP_PLAYER, false);

				//LAi_SetActorType(&characters[2]);
				//LAi_ActorAttack(&characters[2], pchar, "");
				//LAi_SetHP(&characters[2], 200.0, 200.0);
				LAi_SetCheckMinHP(&characters[2], 0.0, 0, "Grotto full treasure");
			}
			else
			{
				//Lai_SetActorType(&characters[1]);
				//LAi_ActorAttack(&characters[1], pchar, "");
				LAi_SetWarriorType(&characters[1]);
				LAi_group_MoveCharacter(&characters[1], sGrottoKill);
				LAi_group_FightGroups(sGrottoKill, LAI_GROUP_PLAYER, false);
				//LAi_SetHP(&characters[1], 200.0, 200.0);
				LAi_SetCheckMinHP(&characters[1], 0.0, 0, "Grotto full treasure");
			}

		break;

		case "Grotto full treasure":
			
			int iIsland1 = FindIsland("Dominica");
			DeleteAttribute(&Islands[iIsland1], "reload.l1");

			if(pchar.id == "Blaze")
			{
				LAi_RemoveCheckMinHP(&characters[1]);
				SetQuestHeader("Story");
				AddQuestRecord("Story", "4_kill_male");
				AddMoneyToCharacter(pchar, 400000);
			}
			else
			{
				LAi_RemoveCheckMinHP(&characters[1]);
				SetQuestHeader("Story");
				AddQuestRecord("Story", "4_kill_female");
				AddMoneyToCharacter(pchar, 400000);
			}

			LAi_group_Delete("GrottoKill_1");
		break;

		case "Grotto half":

			EndQuestMovie();
			bDisableFastReload = 0;
			LAI_setPlayerType(pchar);

			int iIsland2 = FindIsland("Dominica");
			DeleteAttribute(&Islands[iIsland2], "reload.l1");

			if(pchar.id == "Blaze")
			{
				SetQuestHeader("Story");
				AddQuestRecord("Story", "4_half_male");
				AddMoneyToCharacter(pchar, 200000);

				LAi_SetImmortal(&characters[2], 1);
				LAi_CharacterDisableDialog(&characters[2]);
				//LAi_ActorRunToLocation(&characters[2], "reload", "reload1", "none", "goto", "goto1", "", 10.0);
			}
			else
			{
				SetQuestHeader("Story");
				AddQuestRecord("Story", "4_half_female");
				AddMoneyToCharacter(pchar, 200000);

				LAi_SetImmortal(&characters[1], 1);
				LAi_CharacterDisableDialog(&characters[1]);
				//LAi_ActorRunToLocation(&characters[1], "reload", "reload1", "none", "goto", "goto1", "", 10.0);
			}
			DoQuestCheckDelay("grotto fix bug", 1.0);
		break;

		case "Grotto continue":

			LAi_Fade("", "Grotto dialog 3");
			
			DoQuestCheckDelay("Grotto continue 2", 0.5);

		break;

		case "Grotto continue 2":

			ChangeCharacterAddressGroup(pchar, "Grotto", "goto", "goto2");
			LAi_ActorTurnToLocator(pchar, "goto", "goto1");

			if(pchar.id == "Blaze")
			{
				ChangeCharacterAddressGroup(&characters[2], "Grotto", "goto", "goto1");
				LAi_ActorTurnToLocator(&characters[2], "goto", "goto2");
			}
			else
			{
				ChangeCharacterAddressGroup(&characters[1], "Grotto", "goto", "goto1");
				LAi_ActorTurnToLocator(&characters[1], "goto", "goto2");
			}

			DoQuestCheckDelay("Grotto dialog 3", 2.0);

		break;

		case "Grotto dialog 3":

			if(pchar.id == "Blaze")
			{
				LAi_type_actor_Reset(&characters[2]);
				LAi_ActorWaitDialog(pchar, &characters[2]);

				LAi_RemoveCheckMinHP(&characters[2]);
				characters[2].dialog.currentnode = "12";

				LAi_ActorDialog(&characters[2], pchar, "", 5.0, 1.0);
			}
			else
			{
				LAi_type_actor_Reset(&characters[1]);
				LAi_ActorWaitDialog(pchar, &characters[1]);

				LAi_RemoveCheckMinHP(&characters[1]);
				characters[1].dialog.currentnode = "12";

				LAi_ActorDialog(&characters[1], pchar, "", 5.0, 1.0);
			}

		break;

		case "Grotto end":
		//set SL variable
			sStory = "advisor_meet";
		//start check: enter isla mona tavern
			pchar.quest.Enter_IM_tavern.win_condition.l1 = "location";
			pchar.quest.Enter_IM_tavern.win_condition.l1.location = "IslaMona_tavern";
			pchar.quest.Enter_IM_tavern.win_condition = "Enter IM tavern 1";

			if(pchar.id == "Blaze")
			{
				SetQuestHeader("Story");
				AddQuestRecord("Story", "4_continue_male");

				LAi_SetImmortal(&characters[2], 1);
				LAi_CharacterDisableDialog(&characters[2]);
				LAi_ActorRunToLocation(&characters[2], "reload", "reload1_back", "none", "goto", "goto1", "", 10.0);
			}
			else
			{
				SetQuestHeader("Story");
				AddQuestRecord("Story", "4_continue_female");

				LAi_SetImmortal(&characters[1], 1);
				LAi_CharacterDisableDialog(&characters[1]);
			}
			DoQuestCheckDelay("grotto fix bug", 1.0);
			
		break;

		case "grotto fix bug":
			if(pchar.id == "Blaze")
			{
				LAi_ActorRunToLocation(&characters[2], "reload", "reload1_back", "none", "goto", "goto1", "", 10.0);
			}
			else
			{
				LAi_ActorRunToLocation(&characters[1], "reload", "reload1_back", "none", "goto", "goto1", "", 10.0);
			}

			//end cutscene
			EndQuestMovie();
			bDisableFastReload = 0;
			LAI_setPlayerType(pchar);

			iChar = GenerateCharacter(PIRATE, WITH_SHIP, "officer", MAN, 1, BOSS);
			iShipChar = GenerateCharacter(PIRATE, WITH_SHIP, "officer", MAN, 1, WARRIOR);
			characters[iShipChar].id = "Bloody Mishele Companion";
			characters[iChar].id = "Marcus Le Sanguinaire";
			characters[iChar].name = "Marcus";
			characters[iChar].lastname = "Le Sanguinaire";
			characters[iChar].ship.name = "Bloody Michelle";
			characters[iChar].cannotsurrender = 1;
		break;

		case "Enter IM tavern 1":
		//close Grotto
			int iIsland3 = FindIsland("Dominica");
			DeleteAttribute(&Islands[iIsland3], "reload.l1");

		//cutscene
			StartQuestMovie(true, false, true);
			bDisableFastReload = 1;
			LAI_setActorType(pchar);
		//create advisor
			int iAdvisor = GenerateCharacter(ENGLAND, WITHOUT_SHIP, "pirate", MAN, 1, BOSS);
			characters[iAdvisor].model = "trader_7";
			characters[iAdvisor].id = "Advisor";
			characters[iAdvisor].name = "Robert";
			characters[iAdvisor].lastname = "Staffordshire";
			characters[iAdvisor].dialog.filename = "SL Advisor_dialog.c";
			characters[iAdvisor].dialog.currentnode = "First time";
			LAi_SetActorType(CharacterFromID("Advisor"));
			LAi_SetImmortal(CharacterFromID("Advisor"), 1);
			LAi_CharacterEnableDialog(CharacterFromID("Advisor"));
			Lai_RemoveLoginTime(&characters[iAdvisor]);
		//login Advisor to quest1
			ChangeCharacterAddressGroup(CharacterFromID("Advisor"), "IslaMona_tavern", "quest", "quest1");

		//login B/B to quest2
			if(pchar.id == "Blaze")
			{
				ChangeCharacterAddressGroup(&characters[2], "IslaMona_tavern", "quest", "quest2");
				LAI_setActorType(&characters[2]);
				LAi_ActorTurnByLocator(&characters[2], "quest", "quest2");
			}
			else
			{
				ChangeCharacterAddressGroup(&characters[1], "IslaMona_tavern", "quest", "quest2");
				LAI_setActorType(&characters[1]);
				LAi_ActorTurnByLocator(&characters[1], "quest", "quest2");
			}

		//dialog PC>Advisor
			LAi_ActorWaitDialog(CharacterFromID("Advisor"), pchar);
			LAi_ActorDialog(pchar, CharacterFromID("Advisor"), "Exit Advisor dialog 1", 5.0, 1.0);
			//LAi_group_MoveCharacter(&characters[iAdvisor], "FULLY_ALIIES_TO_US");
		break;

		case "Exit Advisor dialog 1":
		//set SL var
			sStory = "advisor_quest";
		//dialog B/B>PC
			if(pchar.id == "Blaze")
			{
				characters[2].dialog.currentnode = "First time";
				LAi_ActorWaitDialog(pchar, &characters[2]);
				LAi_ActorDialog(&characters[2], pchar, "Exit B/B dialog 1", 5.0, 1.0);
			}
			else
			{
				characters[1].dialog.currentnode = "First time";
				LAi_ActorWaitDialog(pchar, &characters[1]);
				LAi_ActorDialog(&characters[1], pchar, "Exit B/B dialog 1", 5.0, 1.0);
			}
			//LAi_group_MoveCharacter(&characters[iAdvisor], "FULLY_ALIIES_TO_US");
		break;


		case "Exit B/B dialog 1":
		//end cutscene
			EndQuestMovie();
			bDisableFastReload = 0;
			LAI_setPlayerType(pchar);

			//B/B & Advisor stay

			LAi_SetStayTypeNoGroup(CharacterFromID("Advisor"));

			if(pchar.id == "Blaze")
			{
				LAi_SetStayTypeNoGroup(&characters[2]);
				LAi_CharacterEnableDialog(&characters[2]);
			}
			else
			{
				LAi_SetStayTypeNoGroup(&characters[1]);
				LAi_CharacterEnableDialog(&characters[1]);
			}

		//start check: exit to isla mona sea
			pchar.quest.Exit_to_IM_sea.win_condition.l1 = "location";
			pchar.quest.Exit_to_IM_sea.win_condition.l1.location = "IslaMona";
			pchar.quest.Exit_to_IM_sea.win_condition = "Exit to IM sea";

		//!!!LOGBOOK!!!
			if(pchar.id == "Blaze")
			{
				SetQuestHeader("Story");
				AddQuestRecord("Story", "5_male");
			}
			else
			{
				SetQuestHeader("Story");
				AddQuestRecord("Story", "5_female");
			}

		break;

		case "Exit to IM sea":
		//generate encounter
			iChar = GetCharacterIndex("Marcus Le Sanguinaire");			
			iShipChar = GetCharacterIndex("Bloody Mishele Companion");
			DeleteAttribute(&characters[iChar], "seaai");
			DeleteAttribute(&characters[iShipChar], "seaai");
			Group_CreateGroup("qrats");
			Group_AddCharacter("qrats", characters[iChar].id);
			Group_AddCharacter("qrats", characters[iShipChar].id);
			Ship_SetTaskDefend(PRIMARY_TASK, iShipChar, iChar);
			SetCharacterRelationBoth(iShipChar, iChar, RELATION_FRIEND);
			Group_SetGroupCommander("qrats", characters[iChar].id);

			string sLocator = "quest_ship_" + (rand(2)+4);
			Group_SetAddress("qrats", pchar.location, "quest_ships", sLocator);
			SetCharacterRelationBoth(nMainCharacterIndex, iChar, RELATION_ENEMY);

			Group_SetTaskAttack("qrats", PLAYER_GROUP);
			Group_LockTask("qrats");
			UpdateRelations();

			//start check: kill ships
			pchar.quest.Kill_advisor_ships.win_condition.l1 = "npc_death";
			pchar.quest.Kill_advisor_ships.win_condition.l1.character = iChar;
			pchar.quest.Kill_advisor_ships.win_condition = "Advisor ships dead";

			trace("!!! sea spawned");
		break;

		case "Advisor ships dead":
		//set SL var
			sStory = "advisor_quest_done";
		//start check: enter isla mona tavern
			pchar.quest.Enter_IM_tavern2.win_condition.l1 = "location";
			pchar.quest.Enter_IM_tavern2.win_condition.l1.location = "IslaMona_tavern";
			pchar.quest.Enter_IM_tavern2.win_condition = "Enter IM tavern 2";

		//!!!LOGBOOK!!!
			if(pchar.id == "Blaze")
			{
				SetQuestHeader("Story");
				AddQuestRecord("Story", "6_male");
			}
			else
			{
				SetQuestHeader("Story");
				AddQuestRecord("Story", "6_female");
			}

		break;

		case "Enter IM tavern 2":
		//cutscene
			StartQuestMovie(true, false, true);
			bDisableFastReload = 1;
			LAI_setActorType(pchar);

		//login Advisor to quest1
			ChangeCharacterAddressGroup(CharacterFromID("Advisor"), "IslaMona_tavern", "quest", "quest1");
			LAI_setActorType(CharacterFromID("Advisor"));
			characters[GetCharacterIndex("Advisor")].dialog.currentnode = "First time";

		//login B/B to quest2
			if(pchar.id == "Blaze")
			{
				ChangeCharacterAddressGroup(&characters[2], "IslaMona_tavern", "quest", "quest2");
				LAI_setActorType(&characters[2]);
				LAi_ActorTurnByLocator(&characters[2], "quest", "quest2");
			}
			else
			{
				ChangeCharacterAddressGroup(&characters[1], "IslaMona_tavern", "quest", "quest2");
				LAI_setActorType(&characters[1]);
				LAi_ActorTurnByLocator(&characters[1], "quest", "quest2");
			}

		//dialog PC>Advisor
			LAi_ActorWaitDialog(CharacterFromID("Advisor"), pchar);
			LAi_ActorDialog(pchar, CharacterFromID("Advisor"), "", 5.0, 1.0);
		break;

		case "Advisor_long_speak":
			WaitDate("", 0, 0, 0, 3, 0);
			LAi_Fade("","Advisor_long_speak_continue");
		break;

		case "Advisor_long_speak_continue":
			characters[GetCharacterIndex("Advisor")].dialog.currentnode = "11";
			LAi_ActorWaitDialog(CharacterFromID("Advisor"), pchar);
			LAi_ActorDialog(pchar, CharacterFromID("Advisor"), "Exit Advisor dialog 2", 5.0, 1.0);
		break;

		case "Exit Advisor dialog 2":
			LAi_QuestFader.oldSaveState = 1;//fix bug
		//dialog PC>Beatrice/Blaze
			if(pchar.id == "Blaze")
			{
				LAi_ActorWaitDialog(pchar, &characters[2]);
				characters[2].dialog.currentnode = "16";
				LAi_ActorDialog(&characters[2], pchar, "Exit B/B dialog 2", 5.0, 1.0);
			}
			else
			{
				LAi_ActorWaitDialog(pchar, &characters[1]);
				characters[1].dialog.currentnode = "16";
				LAi_ActorDialog(&characters[1], pchar, "Exit B/B dialog 2", 5.0, 1.0);
			}
		break;

		case "Exit B/B dialog 2":
		//set SL var
		sStory = "give_boss";
		//disable B/B dialog, exit B/B
			if(pchar.id == "Blaze")
			{
				LAi_ActorRunToLocation(&characters[2], "reload", "reload1", "none", "goto", "goto1", "", 5.0);
			}
			else
			{
				LAi_ActorRunToLocation(&characters[1], "reload", "reload1", "none", "goto", "goto1", "", 5.0);
			}

		//delay - Advisor dialog 3
			DoQuestCheckDelay("Advisor dialog 3", 1.0);
		break;

		case "Advisor dialog 3":
		//dialog PC>Advisor
			//characters[GetCharacterIndex("Advisor")].dialog.currentnode = "First time";
			LAi_ActorWaitDialog(pchar, CharacterFromID("Advisor"));
			LAi_ActorDialog(CharacterFromID("Advisor"), pchar, "Exit Advisor dialog 3", 5.0, 1.0);
		break;

		case "Exit Advisor dialog 3":
		//end cutscene
			EndQuestMovie();
			bDisableFastReload = 0;
			LAI_setPlayerType(pchar);

		//B/B & Advisor stay

			LAi_SetActorTypeNoGroup(CharacterFromID("Advisor"));

		//set SL var
			sStory = "pirate_boss_quest";

		//start check: enter quest2 in front of the residence
			pchar.quest.ENTER_Q2_CHECK.win_condition.l1 = "locator";
			pchar.quest.ENTER_Q2_CHECK.win_condition.l1.location = "IslaMona_town";
			pchar.quest.ENTER_Q2_CHECK.win_condition.l1.locator_group = "quest";
			pchar.quest.ENTER_Q2_CHECK.win_condition.l1.locator = "quest2";
			pchar.quest.ENTER_Q2_CHECK.win_condition = "Pirate guard dialog";

		//!!!LOGBOOK!!!
			if(pchar.id == "Blaze")
			{
				SetQuestHeader("Story");
				AddQuestRecord("Story", "7_male");
			}
			else
			{
				SetQuestHeader("Story");
				AddQuestRecord("Story", "7_female");
			}

		break;

		case "Pirate guard dialog":
		//cutscene
			StartQuestMovie(true, false, true);
			bDisableFastReload = 1;
			LAI_setActorType(pchar);

		//guard talk to PC
			LAi_ActorWaitDialog(pchar, CharacterFromID("Pirate Guard 3"));
			LAI_setActorType(CharacterFromID("Pirate Guard 3"));
			LAi_ActorDialog(CharacterFromID("Pirate Guard 3"), pchar, "Exit pirate guard dialog", 5.0, 1.0);

		break;

		case "Exit pirate guard dialog":
		//end cutscene
			EndQuestMovie();
			bDisableFastReload = 0;
			LAI_setPlayerType(pchar);

		//reset guard to guardian
			LAi_SetGuardianType(CharacterFromID("Pirate Guard 3"));

		//open residence
		StoryLineEnableLocator("IslaMona_town", "l3", 1);

		//check: enter IM residence
			pchar.quest.Enter_IM_residence.win_condition.l1 = "location";
			pchar.quest.Enter_IM_residence.win_condition.l1.location = "IslaMona_townhall";
			pchar.quest.Enter_IM_residence.win_condition = "Enter IM residence 1";

		break;

		case "Enter IM residence 1":
		//cutscene
			StartQuestMovie(true, false, true);
			bDisableFastReload = 1;
			LAI_setActorType(pchar);

		//walk PC to quest3
			LAi_ActorGoToLocator(pchar, "quest", "quest3", "Boss dialog 1", 4.0);

		break;

		case "Boss dialog 1":
		//Dialog PC>Boss
			LAi_type_actor_Reset(pchar);
			LAi_ActorTurnToLocator(pchar, "sit", "sit1");
			LAi_ActorDialog(pchar, CharacterFromID("Pirate Boss"), "Exit Boss dialog 1", 0.0, 0.0);

		break;

		case "Exit Boss dialog 1":
		//disable boss dialog
			LAi_CharacterDisableDialog(CharacterFromID("Pirate Boss"));

		//fade
			LAi_Fade("", "");

		//delayed boss placement
			DoQuestCheckDelay("Delayed Boss placement", 0.5);

		break;

		case "Delayed Boss placement":
		//place PC q8
			ChangeCharacterAddressGroup(pchar, "IslaMona_townhall", "quest", "quest8");
			LAi_ActorTurnToLocator(pchar, "quest", "quest4");

		//place boss q4
			LAI_setActorType(CharacterFromID("Pirate Boss"));
			ChangeCharacterAddressGroup(CharacterFromID("Pirate Boss"), "IslaMona_townhall", "quest", "quest4");
			LAi_ActorTurnToLocator(CharacterFromID("Pirate Boss"), "quest", "quest8");
			LAi_ActorWaitDialog(CharacterFromID("Pirate Boss"), pchar);

		//delayed boss dialog
			DoQuestCheckDelay("Delayed Boss dialog", 0.5);

		break;

		case "Delayed Boss dialog":
		//enable boss dialog
			LAi_CharacterEnableDialog(CharacterFromID("Pirate Boss"));

		//dialog PC>boss
			LAi_ActorDialog(pchar, CharacterFromID("Pirate Boss"), "Exit Boss dialog 2", 5.0, 1.0);
		break;

		case "Exit Boss dialog 2":
		//end cutscene
			EndQuestMovie();
			bDisableFastReload = 0;
			LAI_setPlayerType(pchar);

		//lock exit
			StoryLineEnableLocator("IslaMona_townhall", "l1", 0);

		//enable fighting
			LAi_LocationFightDisable(&locations[FindLocation("IslaMona_townhall")], 0);

		//boss attack PC
			string sGroupP = "Pirate_Boss_Fight_1";
			LAi_group_Register(sGroupP);
			Lai_SetActorType(CharacterFromID("Pirate Boss"));
			LAi_group_MoveCharacter(CharacterFromID("Pirate Boss"), sGroupP);

			LAi_group_MoveCharacter(CharacterFromID("Pirate Guard 1"), sGroupP);
			LAi_group_MoveCharacter(CharacterFromID("Pirate Guard 2"), sGroupP);
			LAi_group_SetAlarmReaction(sGroupP, LAI_GROUP_PLAYER, LAI_GROUP_FRIEND, LAI_GROUP_FRIEND);

			characters[GetCharacterIndex("Pirate Boss")].rank = 40;
			//LAi_SetLevelHP(characterFromID("Pirate Boss"));
			LAi_SetHP(CharacterFromID("Pirate Boss"), 500.0, 500.0);
			LAi_ActorAttack(CharacterFromID("Pirate Boss"), pchar, "");
			//LAi_group_FightGroups(sGroupP, LAI_GROUP_PLAYER, false);			

		//start check: kill boss
			LAi_SetCheckMinHP(CharacterFromID("Pirate Boss"), 200.0, 0, "Killed Boss");

		break;

		case "Killed Boss":
		//cutscene
			StartQuestMovie(true, false, true);
			bDisableFastReload = 1;
			LAI_setActorType(pchar);
			LAi_setActorType(CharacterFromID("Pirate Boss"));

		//disable fighting
			LAi_LocationFightDisable(&locations[FindLocation("IslaMona_townhall")], 1);

		//dialog PC>Boss
			LAi_ActorWaitDialog(CharacterFromID("Pirate Boss"), pchar);
			LAi_ActorDialog(pchar, CharacterFromID("Pirate Boss"), "Killed Boss delay", 5.0, 1.0);

		break;

		case "Killed Boss delay":
			//kill boss
			LAi_KillCharacter(CharacterFromID("Pirate Boss"));

			//delay to look at boss falling
			DoQuestCheckDelay("Killed Boss 1", 2.0);

		break;

		case "Killed Boss 1":
		//walk pchar to quest3
			LAi_ActorGoToLocator(pchar, "quest", "quest3", "", 4.0);

		//rant delay
			DoQuestCheckDelay("Killed Boss rant", 4.0);

		break;

		case "Killed Boss rant":
		//turn to sit1
			LAi_ActorTurnToLocator(pchar, "sit", "sit1");

		//autodialog
			characters[1].dialog.currentnode = "19";
			characters[2].dialog.currentnode = "19";
			LAi_ActorSelfDialog(pchar, "Exit autodialog 3");

			SetNationRelation2MainCharacter(PIRATE, RELATION_FRIEND);
			ChangeCharacterReputation(pchar, 100, PIRATE);
			pchar.ispirate = 1;

			SetNationRelation2MainCharacter(ENGLAND, RELATION_ENEMY);
			ChangeCharacterReputation(pchar, -100, ENGLAND);

			SetNationRelation2MainCharacter(FRANCE, RELATION_ENEMY);
			ChangeCharacterReputation(pchar, -100, FRANCE);

			SetNationRelation2MainCharacter(SPAIN, RELATION_ENEMY);
			ChangeCharacterReputation(pchar, -100, SPAIN);

			SetNationRelation2MainCharacter(HOLLAND, RELATION_ENEMY);
			ChangeCharacterReputation(pchar, -100, HOLLAND);

			LAi_group_Delete("Pirate_Boss_Fight_1");
			ChangeCharacterFame(pchar, 100);
			GiveItem2Character(pchar, "Patent_Pirate");
			LAi_group_SetRelation(LAI_GROUP_PLAYER, "PIRATE_CITIZENS", LAI_GROUP_FRIEND);
			LAi_group_MoveCharacter(CharacterFromID("Advisor"), "PIRATE_CITIZENS");
			LAi_setImmortal(CharacterFromID("Advisor"), 0);

			pchar.nation = PIRATE;
			CloseQuestHeader("Career");
			GiveItem2Character(pchar, "blade17");
			GiveItem2Character(pchar, "gun8");
			GiveItem2Character(pchar, "cheatlist");
		break;

		case "Exit autodialog 3":
		//end cutscene
			EndQuestMovie();
			bDisableFastReload = 0;
			LAI_setPlayerType(pchar);

		//unlock exit
			StoryLineEnableLocator("IslaMona_townhall", "l1", 1);

		//set SL var
			sStory = "pirate_boss_dead";

		//start timer: 2 weeks!!!
			pchar.quest.TWO_WEEK_CHECK.win_condition.l1 = "timer";
			pchar.quest.TWO_WEEK_CHECK.win_condition.l1.date.day = GetAddingDataDay(0, 0, 13);
			pchar.quest.TWO_WEEK_CHECK.win_condition.l1.date.month = GetAddingDataMonth(0, 0, 13);
			pchar.quest.TWO_WEEK_CHECK.win_condition.l1.date.year = GetAddingDataYear(0, 0, 13);
			pchar.quest.TWO_WEEK_CHECK.win_condition.l1.date.hour = rand(23);
			pchar.quest.TWO_WEEK_CHECK.win_condition = "Enter IM residence check";

		//start check: exit to town
			//pchar.quest.Exit_IM_residence.win_condition.l1 = "location";
			//pchar.quest.Exit_IM_residence.win_condition.l1.location = "IslaMona_town";
			//pchar.quest.Exit_IM_residence.win_condition = "Exit IM residence";

			pchar.quest.Exit_IM_residence.win_condition.l1 = "ExitFromLocation";
			pchar.quest.Exit_IM_residence.win_condition.l1.location = "IslaMona_townhall";
			pchar.quest.Exit_IM_residence.win_condition = "Exit IM residence";

		//!!!LOGBOOK!!!
			if(pchar.id == "Blaze")
			{
				SetQuestHeader("Story");
				AddQuestRecord("Story", "8_male");
			}
			else
			{
				SetQuestHeader("Story");
				AddQuestRecord("Story", "8_female");
			}

		break;

		case "Exit IM residence":
		//clean up boss & bodyguards
			ChangeCharacterAddressGroup(CharacterFromID("Pirate Boss"), "none", "goto", "goto1");
			ChangeCharacterAddressGroup(CharacterFromID("Pirate Guard 1"), "none", "goto", "goto1");
			ChangeCharacterAddressGroup(CharacterFromID("Pirate Guard 2"), "none", "goto", "goto1");

		break;

		case "Enter IM residence check":
		//set SL var
			sStory = "captains_ready";

		//start check: enter IM town
			pchar.quest.Enter_IM_residence.win_condition.l1 = "location";
			pchar.quest.Enter_IM_residence.win_condition.l1.location = "IslaMona_townhall";
			pchar.quest.Enter_IM_residence.win_condition = "Enter IM residence 2";

		//!!!LOGBOOK!!!
			if(pchar.id == "Blaze")
			{
				SetQuestHeader("Story");
				AddQuestRecord("Story", "9_male");
			}
			else
			{
				SetQuestHeader("Story");
				AddQuestRecord("Story", "9_female");
			}

		break;

		case "Enter IM residence 2":
		//cutscene
			StartQuestMovie(true, false, true);
			bDisableFastReload = 1;
			LAI_setActorType(pchar);

		//login captains !!! PHANTOMS
			int pCaptain1 = GenerateCharacter(PIRATE, WITHOUT_SHIP, "pirate", MAN, 0, BOSS);
			characters[pCaptain1].id = "pCaptain 1";
			characters[pCaptain1].name = "Russel";
			characters[pCaptain1].lastname = "Leblanc";
			characters[pCaptain1].dialog.filename = "SL Captain_dialog.c";
			characters[pCaptain1].dialog.currentnode = "1";
            GiveItem2Character(CharacterFromID("pCaptain 1"), "blade16");
			EquipCharacterByItem(CharacterFromID("pCaptain 1"), "blade16");
			LAi_SetActorType(CharacterFromID("pCaptain 1"));
			LAi_SetImmortal(CharacterFromID("pCaptain 1"), 1);
			LAi_RemoveLoginTime(&characters[pCaptain1]);
			ChangeCharacterAddressGroup(CharacterFromID("pCaptain 1"), "IslaMona_townhall", "quest", "quest4");

			int pCaptain2 = GenerateCharacter(PIRATE, WITHOUT_SHIP, "pirate", MAN, 0, BOSS);
			characters[pCaptain2].id = "pCaptain 2";
            GiveItem2Character(CharacterFromID("pCaptain 2"), "blade11");
			EquipCharacterByItem(CharacterFromID("pCaptain 2"), "blade11");
			LAi_SetActorType(CharacterFromID("pCaptain 2"));
			LAi_SetImmortal(CharacterFromID("pCaptain 2"), 1);
			LAi_RemoveLoginTime(&characters[pCaptain2]);
			ChangeCharacterAddressGroup(CharacterFromID("pCaptain 2"), "IslaMona_townhall", "quest", "quest6");

			int pCaptain3 = GenerateCharacter(PIRATE, WITHOUT_SHIP, "pirate", MAN, 0, BOSS);
			characters[pCaptain3].id = "pCaptain 3";
            GiveItem2Character(CharacterFromID("pCaptain 3"), "blade12");
			EquipCharacterByItem(CharacterFromID("pCaptain 3"), "blade12");
			LAi_SetActorType(CharacterFromID("pCaptain 3"));
			LAi_SetImmortal(CharacterFromID("pCaptain 3"), 1);
			LAi_RemoveLoginTime(&characters[pCaptain3]);
			ChangeCharacterAddressGroup(CharacterFromID("pCaptain 3"), "IslaMona_townhall", "quest", "quest5");

			int pCaptain4 = GenerateCharacter(PIRATE, WITHOUT_SHIP, "pirate", MAN, 0, BOSS);
			characters[pCaptain4].id = "pCaptain 4";
            GiveItem2Character(CharacterFromID("pCaptain 4"), "blade13");
			EquipCharacterByItem(CharacterFromID("pCaptain 4"), "blade13");
			LAi_SetActorType(CharacterFromID("pCaptain 4"));
			LAi_SetImmortal(CharacterFromID("pCaptain 4"), 1);
			LAi_RemoveLoginTime(&characters[pCaptain4]);
			ChangeCharacterAddressGroup(CharacterFromID("pCaptain 4"), "IslaMona_townhall", "quest", "quest3");

			int pCaptain5 = GenerateCharacter(PIRATE, WITHOUT_SHIP, "pirate", MAN, 0, BOSS);
			characters[pCaptain5].id = "pCaptain 5";
            GiveItem2Character(CharacterFromID("pCaptain 5"), "blade14");
			EquipCharacterByItem(CharacterFromID("pCaptain 5"), "blade14");
			LAi_SetActorType(CharacterFromID("pCaptain 5"));
			LAi_SetImmortal(CharacterFromID("pCaptain 5"), 1);
			LAi_RemoveLoginTime(&characters[pCaptain5]);
			ChangeCharacterAddressGroup(CharacterFromID("pCaptain 5"), "IslaMona_townhall", "quest", "quest7");

		//walk pc to q8
			LAi_ActorGoToLocator(pchar, "quest", "quest8", "", 2.0);

		//delay turn & talk
			DoQuestCheckDelay("Delay turn and talk 1", 2.0);

		break;

		case "Delay turn and talk 1":
		// turn to q4, autodialog
			LAi_ActorTurnToLocator(pchar, "quest", "quest4");
			characters[1].dialog.currentnode = "21";
			characters[2].dialog.currentnode = "21";
			LAi_ActorSelfDialog(pchar, "Exit autodialog 2");

		break;

		case "Exit autodialog 2":
		//login Beatrice/Blaze
			if(pchar.id == "Blaze")
			{
				ChangeCharacterAddressGroup(&characters[2], "IslaMona_townhall", "reload", "reload1");
			}
			else
			{
				ChangeCharacterAddressGroup(&characters[1], "IslaMona_townhall", "reload", "reload1");
			}

		//walk B/B to quest9
			if(pchar.id == "Blaze")
			{
				LAi_ActorGoToLocator(&characters[2], "quest", "quest9", "Another damn delay", 3.0);
			}
			else
			{
				LAi_ActorGoToLocator(&characters[1], "quest", "quest9", "Another damn delay", 3.0);
			}

		break;

		case "Another damn delay":
			
			LAi_CharacterEnableDialog(&characters[1]);
			LAi_CharacterEnableDialog(&characters[2]);

		//B/B>PC talk
			if(pchar.id == "Blaze")
			{
				LAi_ActorWaitDialog(pchar, &characters[2]);
				characters[2].dialog.currentnode = "22";
				LAi_ActorDialog(&characters[2], pchar, "Captain dialog delay", 5.0, 1.0);
			}
			else
			{
				LAi_ActorWaitDialog(pchar, &characters[1]);
				characters[1].dialog.currentnode = "22";
				LAi_ActorDialog(&characters[1], pchar, "Captain dialog delay", 5.0, 1.0);
			}

		break;

		case "Captain dialog delay":
		//turn PC to q4	
			LAi_ActorTurnToLocator(pchar, "quest", "quest4");

		//fade
			LAi_Fade("", "");
		//dialog delay
			DoQuestCheckDelay("Captain dialog", 1.5);

		break;

		case "Captain dialog":
		//dialog captain>PC
			LAi_ActorWaitDialog(pchar, CharacterFromID("pCaptain 1"));
			LAi_ActorDialog(CharacterFromID("pCaptain 1"), pchar, "Talk 123 delay", 5.0, 1.0);

		break;

		case "Talk 123 delay":
		//dialog delay
			DoQuestCheckDelay("Talk 123", 1.0);

		break;


		case "Talk 123":
		//autodialog
			characters[1].dialog.currentnode = "23";
			characters[2].dialog.currentnode = "23";
			LAi_ActorSelfDialog(pchar, "");
		break;

		case "captains_long_speak":
			Lai_fade("", "captains_long_speak_continue");
			WaitDate("", 0, 0, 0, 2, 0);
		break;

		case "captains_long_speak_continue":
			characters[1].dialog.currentnode = "24";
			characters[2].dialog.currentnode = "24";
			LAi_ActorSelfDialog(pchar, "Exit captain dialog");
		break;

		case "Exit captain dialog":
		//walk captains out delays
			DoQuestCheckDelay("Captain leave 1", 1.0);
			DoQuestCheckDelay("Captain leave 2", 2.0);
			DoQuestCheckDelay("Captain leave 3", 3.0);
			DoQuestCheckDelay("Captain leave 4", 4.0);
			DoQuestCheckDelay("Captain leave 5", 5.0);
		
		//delay
			DoQuestCheckDelay("Last talk place", 10.0);

		break;

		case "Captain leave 1":
		//walk out captain 1
			LAi_ActorGoToLocation(CharacterFromID("pCaptain 1"), "reload", "reload1", "none", "goto", "goto1", "", 5.0);

		break;

		case "Captain leave 2":
		//walk out captain 2
			LAi_ActorGoToLocation(CharacterFromID("pCaptain 2"), "reload", "reload1", "none", "goto", "goto1", "", 5.0);

		break;

		case "Captain leave 3":
		//walk out captain 3
			LAi_ActorGoToLocation(CharacterFromID("pCaptain 3"), "reload", "reload1", "none", "goto", "goto1", "", 5.0);

		break;

		case "Captain leave 4":
		//walk out captain 4
			LAi_ActorGoToLocation(CharacterFromID("pCaptain 4"), "reload", "reload1", "none", "goto", "goto1", "", 5.0);

		break;

		case "Captain leave 5":
		//walk out captain 5
			LAi_ActorGoToLocation(CharacterFromID("pCaptain 5"), "reload", "reload1", "none", "goto", "goto1", "", 5.0);

		break;

		case "Last talk place":
		//walk B/B to q4
			if(pchar.id == "Blaze")
			{
				LAi_ActorGoToLocator(&characters[2], "quest", "quest4", "", 2.0);
			}
			else
			{
				LAi_ActorGoToLocator(&characters[1], "quest", "quest4", "", 2.0);
			}

		//dialog delay
			DoQuestCheckDelay("Last talk", 1.0);

		break;

		case "Last talk":
		//Dialog B/B>PC
			if(pchar.id == "Blaze")
			{
				LAi_ActorTurnToLocator(&characters[2], "quest", "quest8");
				characters[2].dialog.currentnode = "25";
				LAi_ActorWaitDialog(pchar, &characters[2]);
				LAi_ActorDialog(&characters[2], pchar, "Exit B/B dialog 3", 5.0, 1.0);
			}
			else
			{
				LAi_ActorTurnToLocator(&characters[1], "quest", "quest8");
				characters[1].dialog.currentnode = "25";
				LAi_ActorWaitDialog(pchar, &characters[1]);
				LAi_ActorDialog(&characters[1], pchar, "Exit B/B dialog 3", 5.0, 1.0);
			}

		break;

		case "Exit B/B dialog 3":
		//set SL var
			sStory = "captains_done";

		//fade
			LAi_Fade("", "");

		//dialog delay
			DoQuestCheckDelay("End SL 1", 0.5);

		break;

		case "End SL 1":
		//end cutscene
			LAi_QuestFader.oldSaveState = 1;//fix bag;
			EndQuestMovie();
			bDisableFastReload = 0;
			LAI_setPlayerType(pchar);

		//clean B/B
			if(pchar.id == "Blaze")
			{
				ChangeCharacterAddressGroup(&characters[2], "none", "goto", "goto1");
			}
			else
			{
				ChangeCharacterAddressGroup(&characters[1], "none", "goto", "goto1");
			}

		//tp PC to q3 in town
			DoQuestReloadToLocation("IslaMona_town", "quest", "quest2", "");

		//!!!LOGBOOK!!!
			if(pchar.id == "Blaze")
			{
				SetQuestHeader("Story");
				AddQuestRecord("Story", "10_male");
			}
			else
			{
				SetQuestHeader("Story");
				AddQuestRecord("Story", "10_female");
			}
		break;


		case "EndGame":
			if(!CheckAttribute(pchar, "game_done"))
			{
				if(sStory == "captains_done")
				{
					if(pchar.id == "Blaze")
					{
						sVideoFile = "OutroBlaseQuest";
					}
					else
					{
						sVideoFile = "OutroBeatriceQuest";
					}
				}
				else
				{
					switch(sti(pchar.nation))
					{
						case ENGLAND:
							if(pchar.id == "Blaze")
							{
								sVideoFile = "OutroBlaseEn";
							}
							else
							{
								sVideoFile = "OutroBeatriceEn";
							}
						break;
						case FRANCE:
							if(pchar.id == "Blaze")
							{
								sVideoFile = "OutroBlaseFra";
							}
							else
							{
								sVideoFile = "OutroBeatriceFra";
							}
						break;
						case SPAIN:
							if(pchar.id == "Blaze")
							{
								sVideoFile = "OutroBlaseHis";
							}
							else
							{
								sVideoFile = "OutroBeatriceHis";
							}
						break;
						case HOLLAND:
							if(pchar.id == "Blaze")
							{
								sVideoFile = "OutroBlaseHol";
							}
							else
							{
								sVideoFile = "OutroBeatriceHol";
							}
						break;
						case PIRATE:
							if(pchar.id == "Blaze")
							{
								sVideoFile = "OutroBlaseQuest";
							}
							else
							{
								sVideoFile = "OutroBeatriceQuest";
							}
						break;
					}
				}
				if(LanguageGetLanguage() != "Russian")
				{
					sVideoFile = LanguageGetLanguage() + "/" + sVideoFile;
				}
				PostVideoAndQuest(sVideoFile,0,"EndGame_continue");
			}
			pchar.game_done = 1;
		break;

		case "EndGame_continue":
			if(LanguageGetLanguage() == "Russian")
			{
				PostVideoAndQuest("Credits_RU",0,"");
			}
			else
			{
				PostVideoAndQuest("CreditsAoP",0,"");
			}
		break;
	}

}